---
updatedAt: 2026-06-16T14:34:51.000Z
agentTools:
  projectIndex: https://developers.hrflow.ai/llms.txt
---

# 🧠 Score Profiles indexed in Sources for a Job

This endpoint allows you to Score Profiles for Job.

> 📘 Prerequisites
>
> 1. [✨ Create a Workspace](https://hrflow.ai/signup)
> 2. [🔑 Get your API Key](https://developers.hrflow.ai/docs/api-authentification)
> 3. [🧠 Activate Profiles Searching API](docs:ai-solutions#searching-api)
> 4. [🧠 Activate Profiles Scoring API](docs:ai-solutions#scoring-api)
> 5. [🔌 Create a Source](https://developers.hrflow.ai/docs/connectors-source)
> 6. [💾 Index Profiles in the Source](https://developers.hrflow.ai/reference/index-a-profile)
> 7. [🔌 Create a Board](https://developers.hrflow.ai/docs/connectors-board)
> 8. [💾 Index a Job](https://developers.hrflow.ai/reference/index-a-job)

> ❗ Scoring activation
>
> Scoring must be activated for the source used. Please activate scoring from our developer platform:
>
> * On your HrFlow developer account, navigate to Connections > My Sources
> * Click on the source you are willing to use for scoring
> * In AI Modules tab, scroll down and turn the "Profile Scoring API" switch on

## Request headers

| Field                     | Value                            |
| :------------------------ | :------------------------------- |
| <code>X-API-KEY</code>    | Your API Key.                    |
| <code>X-USER-EMAIL</code> | Your HrFlow\.ai account's email. |

> 🚧 Query Parameters
>
> The <code>job\_key</code> and  the <code>job\_reference</code>  cannot be null at the same time in the Query Parameters.

> 🚧 Request Method Selection
>
> This endpoint supports both GET and POST. When query parameters exceed the maximum allowed URL length, clients should use the POST variant and send the same parameters in the request body (see the [changelog](https://developers.hrflow.ai/changelog/scoring-and-searching-api-add-new-method-post)).

> 📘 Response
>
> This endpoint returns a <code>data</code> object containing two objects:
>
> * Profiles: array of objects Profile.
> * Predictions:  array of arrays of floats \[ 1-score, score ]. Example:  \[0.49184858798980713,  0.50815147161483765].

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "website-api",
    "version": "2.3"
  },
  "servers": [
    {
      "url": "https://api.hrflow.ai/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY",
        "x-default": ""
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "X-USER-EMAIL"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/profiles/scoring": {
      "get": {
        "summary": "🧠 Score Profiles indexed in Sources for a Job",
        "description": "This endpoint allows you to Score Profiles for Job.",
        "operationId": "score-profiles-for-a-job",
        "parameters": [
          {
            "name": "algorithm_key",
            "in": "query",
            "description": "The key of the Scoring Algorithm.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "use_algorithm",
            "in": "query",
            "description": "Turn 0 to switch the Scoring to the Searching only mode.",
            "schema": {
              "type": "string",
              "default": "1"
            }
          },
          {
            "name": "board_key",
            "in": "query",
            "description": "The key of Board attached to the given Job.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "job_key",
            "in": "query",
            "description": "The Job's unique identifier.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "job_reference",
            "in": "query",
            "description": "The Job reference chosen by the customer.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source_keys",
            "in": "query",
            "description": "The list of the keys of the Sources containing the targeted Profiles. Example : `[\"xxx\", \"yyy\", \"zzz\"]`",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "include_profile_keys",
            "schema": {
              "type": "string"
            },
            "description": "Include only Profiles matching the given list of Profile keys. When provided, the results are restricted to this subset. Example : [\"xxx\", \"yyy\", \"zzz\"]"
          },
          {
            "name": "exclude_profile_keys",
            "in": "query",
            "description": "Exclude Profiles according to the list of Profile keys. Example : `[\"xxx\", \"yyy\", \"zzz\"]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "tracking_actions",
            "schema": {
              "type": "string"
            },
            "description": "Filter Profiles by the tracking activity recorded with a given Job: only Profiles having at least one tracking whose action is in the list are returned. Example: [\"applied\", \"interviewed\", \"hired\"]"
          },
          {
            "name": "stage",
            "in": "query",
            "description": "Filter Profiles by their stage:  <code>new</code>, <code>yes</code> , <code>later</code>, <code>no</code>. If not provided the results will includes all stage values.",
            "schema": {
              "type": "string",
              "enum": [
                "new",
                "yes",
                "later",
                "no"
              ]
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "The number of the current results' page.",
            "schema": {
              "type": "string",
              "default": "1"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The number of results per page",
            "schema": {
              "type": "string",
              "default": "30"
            }
          },
          {
            "name": "order_by",
            "in": "query",
            "description": "Order results by <code>asc</code>, or <code>desc</code>.",
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ],
              "default": "desc"
            }
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort results by  <code>searching</code>, <code>scoring</code>, <code>created_at</code>, <code>updated_at</code>, <code>location</code>, <code>location_experience</code>, <code>location_education</code>.",
            "schema": {
              "type": "string",
              "enum": [
                "searching",
                "scoring",
                "created_at",
                "updated_at",
                "location",
                "location_experience",
                "location_education"
              ],
              "default": "created_at"
            }
          },
          {
            "name": "created_at_min",
            "in": "query",
            "description": "Set a minimum creation date.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "created_at_max",
            "in": "query",
            "description": "Set a maximum creation date.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Filter Profiles by their name.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "email",
            "in": "query",
            "description": "Filter Profiles by their email.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "location_geopoint",
            "in": "query",
            "description": "Filter Profiles by their location address. `{\"lat\":47.21812, \"lng\":-1.55306}`",
            "schema": {
              "properties": {
                "lat": {
                  "type": "string",
                  "description": "Location latitude. Example: 35.7516600"
                },
                "lng": {
                  "type": "string",
                  "description": "Location longitude. Example: 10.7110900"
                }
              },
              "type": "object"
            }
          },
          {
            "name": "location_distance",
            "in": "query",
            "description": "Set a radius around the Profiles' location address (in Km).",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "summary_keywords",
            "in": "query",
            "description": "Filter Profiles by keywords in their summary section. Example : `[\"xxx\", \"yyy\", \"zzz\"]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "text_keywords",
            "in": "query",
            "description": "Filter Profiles by keywords in the full text. Example : `[\"xxx\", \"yyy\", \"zzz\"]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "enrich_text_keywords",
            "in": "query",
            "description": "If enabled, this feature enriches the search by including synonyms of the keywords specified in <code>text_keywords</code>, broadening the search results.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "experience_keywords",
            "in": "query",
            "description": "Filter Profiles by keywords in their experiences' titles and descriptions. Example : `[\"xxx\", \"yyy\", \"zzz\"]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "experience_location_geopoint",
            "in": "query",
            "description": "Filter Profiles by their experiences' locations. Example : `{\"lat\":47.21812, \"lon\":-1.55306}`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "experience_location_distance",
            "in": "query",
            "description": "Set a radius around the educations' locations (in Km)",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "experiences_duration_min",
            "in": "query",
            "description": "Set a minimum number of years of experience.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "experiences_duration_max",
            "in": "query",
            "description": "Set a maximum number of years of experience.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "education_keywords",
            "in": "query",
            "description": "Filter Profiles by keywords in their educations' titles and descriptions. Example : `[\"xxx\", \"yyy\", \"zzz\"]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "education_location_geopoint",
            "in": "query",
            "description": "Filter Profiles by their educations locations. Example : `{\"lat\":47.21812, \"lon\":-1.55306}`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "education_location_distance",
            "in": "query",
            "description": "Set a radius around the educations' locations (in Km).",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "educations_duration_min",
            "in": "query",
            "description": "Set a minimum number of years of education.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "educations_duration_max",
            "in": "query",
            "description": "Set a maximum number of years of education.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "skills",
            "in": "query",
            "description": "Filter results by a list of skills names and their values. Example : `[{\"name\":\"python\", \"value\":null}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "languages",
            "in": "query",
            "description": "Filter results by a list of languages names and their values. Example : `[{\"name\":\"english\", \"value\":null}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "interests",
            "in": "query",
            "description": "Filter results by a list of interest names and their values. Example : `[{\"name\":\"sport\", \"value\":null}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tags_included",
            "in": "query",
            "description": "Filter results containing certain tag names and their values. Shape of this field `[ [... OR ...] AND [... OR ...] ]`. Example : `[[{\"name\":\"sync\",\"value\":\"1\"}]]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tags_excluded",
            "in": "query",
            "description": "Exclude results containing certain tag names and their values. Shape of this field `[ [... OR ...] AND [... OR ...] ]`. Example : `[[{\"name\":\"sync\",\"value\":\"0\"}]]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "raw_filters",
            "schema": {
              "type": "string"
            },
            "description": "Filter results based on custom raw query.\nExample: {\"query\":{\"bool\":{\"should\":[{\"match_phrase\":{\"text\":\"Python\"}},{\"match_phrase\":{\"text\":\"Java\"}}]}}}"
          },
          {
            "in": "query",
            "name": "score_threshold",
            "schema": {
              "type": "number",
              "format": "float",
              "default": "0"
            },
            "required": false,
            "description": "Filter Profiles scored lower than the given threshold."
          },
          {
            "in": "query",
            "name": "return_vectors",
            "schema": {
              "type": "boolean"
            },
            "description": "Return the 2D map coordinates of each result (vectors) and of the scored item (item_vector)."
          },
          {
            "in": "query",
            "name": "memory_context",
            "schema": {
              "type": "string",
              "enum": [
                "organization_live_actions",
                "personal_live_actions"
              ],
              "default": "organization_live_actions"
            },
            "description": "Enables real-time retraining capabilities powered by data from either individual user interactions or aggregated organization actions."
          },
          {
            "in": "query",
            "name": "memory_context_warmup",
            "schema": {
              "type": "string",
              "enum": [
                "organization_past_actions",
                "personal_past_actions"
              ],
              "default": "organization_past_actions"
            },
            "description": "Initializes the memory_context by loading relevant historical data from either previous individual user interactionsactions or aggregated organization activities."
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"code\": 200,\n  \"message\": \"Profile scoring results\",\n  \"meta\": {\n    \"page\": 1,\n    \"maxPage\": 42,\n    \"count\": 1,\n    \"total\": 42\n  },\n  \"data\": {\n    \"predictions\": [[0.03323773294687271, 0.9667623043060303]],\n    \"profiles\": [\n      {\n        \"source_key\": \"e6bf4481f68ef6d084b0b0df83500999db03bf97\",\n        \"id\": 42424242,\n        \"key\": \"37909ba85bae808bb238e4d55dcef2b0bc46fa80\",\n        \"reference\": \"8bfc6a1a-31ff-4b1a-b1b2-b8126ff013e7\",\n        \"consent_algorithmic\": {\n          \"owner\": {\n            \"parsing\": false,\n            \"revealing\": false,\n            \"embedding\": false,\n            \"searching\": false,\n            \"scoring\": false,\n            \"reasoning\": false\n          },\n          \"controller\": {\n            \"parsing\": false,\n            \"revealing\": false,\n            \"embedding\": false,\n            \"searching\": false,\n            \"scoring\": false,\n            \"reasoning\": false\n          }\n        },\n        \"source\": {\n          \"key\": \"e6bf4481f68ef6d084b0b0df83500999db03bf97\",\n          \"name\": \"test-http-api\",\n          \"type\": \"api\",\n          \"subtype\": \"http_api\",\n          \"environment\": \"production\"\n        },\n        \"archive\": null,\n        \"archived_at\": null,\n        \"updated_at\": \"2023-11-07T09:24:37+0000\",\n        \"created_at\": \"2023-11-07T09:24:37+0000\",\n        \"info\": {\n          \"full_name\": \"Harry James Potter\",\n          \"first_name\": \"Harry James\",\n          \"last_name\": \"Potter\",\n          \"email\": \"harry.potter@hogwarts.net\",\n          \"phone\": \"0777777777\",\n          \"driving_license\": null,\n          \"date_birth\": \"1997-06-26T00:00:00+0000\",\n          \"location\": {\n            \"text\": \"103A Circle Ave., Charlottesville, VA 22905\",\n            \"lat\": 38.050865,\n            \"lng\": -78.503805,\n            \"gmaps\": \"https://www.google.com/maps/place/38.050865,-78.503805\",\n            \"fields\": {\n              \"category\": null,\n              \"city\": \"Charlottesville\",\n              \"city_district\": null,\n              \"country\": \"USA\",\n              \"country_region\": null,\n              \"entrance\": null,\n              \"house\": null,\n              \"house_number\": null,\n              \"island\": null,\n              \"level\": null,\n              \"near\": null,\n              \"po_box\": null,\n              \"postcode\": \"22905\",\n              \"road\": null,\n              \"staircase\": null,\n              \"state\": \"Virginia\",\n              \"state_district\": \"City of Charlottesville\",\n              \"suburb\": null,\n              \"text\": \"22905, Charlottesville, VA, USA\",\n              \"unit\": null,\n              \"world_region\": null\n            }\n          },\n          \"urls\": [\n            {\n              \"type\": \"github\",\n              \"url\": \"https://github.com/Riminder\"\n            }\n          ],\n          \"picture\": null,\n          \"gender\": \"male\",\n          \"summary\": \"Sorcerer Apprentice\"\n        },\n        \"text_language\": \"en\",\n        \"text\": \"After two years of intense AI research and development at Ecole Normale Superieure and Ecole Centrale Paris, HrFlow.ai was founded in June 2016 to solve the labor market and employment challenges at scale using the latest innovations in AI.Having developed a proprietary AI and workflow technology from the ground up that unifies HR data silos, identifies the right candidates for the right jobs without bias, and automates it all, HrFlow.ai has already gained traction with over +1,000 clients, large and small.HrFlow.ai raised an initial seed round of 2.3M$ in 2018 from some of the most successful technology entrepreneurs in Europe and the United States, including Xavier Niel (Free Telecom & Station F), Dominique Vidal (Index Ventures), Romain Niccoli (Criteo & Pigment), Jean-Baptiste Rudelle (Criteo), Franck Le Ouay (Criteo & LIFEN), Thibaud Elzière (Fotolia & e-Founders), and has since self-funded its growth.We love AI engineering, problem-solving, and business. Join our diverse team and help us build the next chapter of our exciting growth!\",\n        \"experiences_duration\": 2,\n        \"educations_duration\": 5,\n        \"experiences\": [\n          {\n            \"key\": \"7c83b85d1288c56fb8ea791ff5711b8e46c7701b\",\n            \"logo\": null,\n            \"title\": \"Magic Investigator\",\n            \"description\": \"Magic Investigator\",\n            \"location\": {\n              \"text\": \"112 avenue charles de gaulle 92200 neuilly-sur-seine\",\n              \"lat\": 48.88265,\n              \"lng\": 2.26821,\n              \"gmaps\": null,\n              \"fields\": []\n            },\n            \"date_start\": \"2002-04-01T00:00:00.000Z\",\n            \"date_end\": \"2002-07-01T00:00:00.000Z\",\n            \"skills\": [\n              { \"name\": \"marketing\", \"type\": \"soft\", \"value\": \"90/100\" },\n              { \"name\": \"python\", \"type\": \"hard\", \"value\": null }\n            ],\n            \"certifications\": [\n              { \"name\": \"ISO 27001\", \"value\": \"Individual\" },\n              { \"name\": \"CPR\", \"value\": null }\n            ],\n            \"courses\": [\n              { \"name\": \"Statistical Learning\", \"value\": \"On campus\" },\n              { \"name\": \"Machine learning\", \"value\": null }\n            ],\n            \"tasks\": [\n              {\n                \"name\": \"Manage a product team of 10 people\",\n                \"value\": \"contorolling\"\n              },\n              { \"name\": \"Come to work at 9 am.\", \"value\": null }\n            ],\n            \"languages\": [\n              { \"name\": \"english\", \"value\": \"fluent\" },\n              { \"name\": \"russian\" }\n            ],\n            \"interests\": [\n              { \"name\": \"football\", \"value\": \"amateur\" },\n              { \"name\": \"coding\" }\n            ],\n            \"company\": \"Hogwarts School of Witchcraft and Wizardry\"\n          }\n        ],\n        \"educations\": [\n          {\n            \"key\": \"6f579139e78fe4a4f926f0c7cdde4e0a71e1044c\",\n            \"logo\": null,\n            \"title\": \"Sorcerer Apprentice\",\n            \"description\": \"First year of study\",\n            \"location\": {\n              \"text\": \"112 avenue charles de gaulle 92200 neuilly-sur-seine\",\n              \"lat\": 48.88265,\n              \"lng\": 2.26821,\n              \"gmaps\": null,\n              \"fields\": []\n            },\n            \"date_start\": \"2001-12-01T00:00:00.000Z\",\n            \"date_end\": \"2002-12-01T00:00:00.000Z\",\n            \"skills\": [\n              { \"name\": \"marketing\", \"type\": \"soft\", \"value\": \"90/100\" },\n              { \"name\": \"python\", \"type\": \"hard\", \"value\": null }\n            ],\n            \"certifications\": [\n              { \"name\": \"ISO 27001\", \"value\": \"Individual\" },\n              { \"name\": \"CPR\", \"value\": null }\n            ],\n            \"courses\": [\n              { \"name\": \"Statistical Learning\", \"value\": \"On campus\" },\n              { \"name\": \"Machine learning\", \"value\": null }\n            ],\n            \"tasks\": [\n              {\n                \"name\": \"Manage a product team of 10 people\",\n                \"value\": \"contorolling\"\n              },\n              { \"name\": \"Come to work at 9 am.\", \"value\": null }\n            ],\n            \"languages\": [\n              { \"name\": \"english\", \"value\": \"fluent\" },\n              { \"name\": \"russian\" }\n            ],\n            \"interests\": [\n              { \"name\": \"football\", \"value\": \"amateur\" },\n              { \"name\": \"coding\" }\n            ],\n            \"school\": \"Hogwarts School of Witchcraft and Wizardry\"\n          }\n        ],\n        \"attachments\": [\n          {\n            \"type\": \"resume\",\n            \"alt\": \"6a2d9f3da9f3b3e332a101d69f4adc247a86799d\",\n            \"file_size\": 111111,\n            \"file_name\": \"resume\",\n            \"original_file_name\": \"resume.pdf\",\n            \"extension\": \".pdf\",\n            \"public_url\": \"https://riminder-documents-eu-2019-12.s3-eu-west-1.amazonaws.com/teams/b679469ec195687b31de827a8495eaa15f803081/sources/4ca11a9636cf302c3c155debde96cff0398d9f19/profiles/c4413b9cae1c0c20c4a4d8070d386466aede3af5/parsing/resume.pdf\",\n            \"updated_at\": \"2023-11-06T14:41:11+0000\",\n            \"created_at\": \"2023-11-06T14:41:11+0000\"\n          }\n        ],\n        \"skills\": [\n          { \"name\": \"marketing\", \"type\": \"soft\", \"value\": \"90/100\" },\n          { \"name\": \"python\", \"type\": \"hard\", \"value\": null }\n        ],\n        \"languages\": [\n          { \"name\": \"english\", \"value\": \"fluent\" },\n          { \"name\": \"russian\", \"value\": null }\n        ],\n        \"certifications\": [\n          { \"name\": \"ISO 27001\", \"value\": \"Individual\" },\n          { \"name\": \"CPR\", \"value\": null }\n        ],\n        \"courses\": [\n          { \"name\": \"Statistical Learning\", \"value\": \"On campus\" },\n          { \"name\": \"Machine learning\", \"value\": null }\n        ],\n        \"tasks\": [\n          {\n            \"name\": \"Manage a product team of 10 people\",\n            \"value\": \"contorolling\"\n          },\n          { \"name\": \"Come to work at 9 am.\", \"value\": null }\n        ],\n        \"interests\": [\n          { \"name\": \"football\", \"value\": \"amateur\" },\n          { \"name\": \"coding\", \"value\": null }\n        ],\n        \"labels\": [],\n        \"tags\": [\n          { \"name\": \"active\", \"value\": \"1\" },\n          { \"name\": \"young\", \"value\": null }\n        ],\n        \"metadatas\": [\n          {\n            \"name\": \"interview-note\",\n            \"value\": \"Today, I met an amazing candidate...\"\n          }\n        ]\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Profile scoring results"
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "page": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "maxPage": {
                          "type": "integer",
                          "example": 42,
                          "default": 0
                        },
                        "count": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "total": {
                          "type": "integer",
                          "example": 42,
                          "default": 0
                        }
                      }
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "predictions": {
                          "type": "array",
                          "items": {
                            "type": "array",
                            "items": {
                              "type": "number",
                              "example": 0.03323773294687271,
                              "default": 0
                            }
                          }
                        },
                        "profiles": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "source_key": {
                                "type": "string",
                                "example": "e6bf4481f68ef6d084b0b0df83500999db03bf97"
                              },
                              "id": {
                                "type": "integer",
                                "example": 42424242,
                                "default": 0
                              },
                              "key": {
                                "type": "string",
                                "example": "37909ba85bae808bb238e4d55dcef2b0bc46fa80"
                              },
                              "reference": {
                                "type": "string",
                                "example": "8bfc6a1a-31ff-4b1a-b1b2-b8126ff013e7"
                              },
                              "consent_algorithmic": {
                                "type": "object",
                                "properties": {
                                  "owner": {
                                    "type": "object",
                                    "properties": {
                                      "parsing": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "revealing": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "embedding": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "searching": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "scoring": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "reasoning": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      }
                                    }
                                  },
                                  "controller": {
                                    "type": "object",
                                    "properties": {
                                      "parsing": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "revealing": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "embedding": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "searching": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "scoring": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      },
                                      "reasoning": {
                                        "type": "boolean",
                                        "example": false,
                                        "default": true
                                      }
                                    }
                                  }
                                }
                              },
                              "source": {
                                "type": "object",
                                "properties": {
                                  "key": {
                                    "type": "string",
                                    "example": "e6bf4481f68ef6d084b0b0df83500999db03bf97"
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "test-http-api"
                                  },
                                  "type": {
                                    "type": "string",
                                    "example": "api"
                                  },
                                  "subtype": {
                                    "type": "string",
                                    "example": "http_api"
                                  },
                                  "environment": {
                                    "type": "string",
                                    "example": "production"
                                  }
                                }
                              },
                              "archive": {},
                              "archived_at": {},
                              "updated_at": {
                                "type": "string",
                                "example": "2023-11-07T09:24:37+0000"
                              },
                              "created_at": {
                                "type": "string",
                                "example": "2023-11-07T09:24:37+0000"
                              },
                              "info": {
                                "type": "object",
                                "properties": {
                                  "full_name": {
                                    "type": "string",
                                    "example": "Harry James Potter"
                                  },
                                  "first_name": {
                                    "type": "string",
                                    "example": "Harry James"
                                  },
                                  "last_name": {
                                    "type": "string",
                                    "example": "Potter"
                                  },
                                  "email": {
                                    "type": "string",
                                    "example": "harry.potter@hogwarts.net"
                                  },
                                  "phone": {
                                    "type": "string",
                                    "example": "0777777777"
                                  },
                                  "driving_license": {},
                                  "date_birth": {
                                    "type": "string",
                                    "example": "1997-06-26T00:00:00+0000"
                                  },
                                  "location": {
                                    "type": "object",
                                    "properties": {
                                      "text": {
                                        "type": "string",
                                        "example": "103A Circle Ave., Charlottesville, VA 22905"
                                      },
                                      "lat": {
                                        "type": "number",
                                        "example": 38.050865,
                                        "default": 0
                                      },
                                      "lng": {
                                        "type": "number",
                                        "example": -78.503805,
                                        "default": 0
                                      },
                                      "gmaps": {
                                        "type": "string",
                                        "example": "https://www.google.com/maps/place/38.050865,-78.503805"
                                      },
                                      "fields": {
                                        "type": "object",
                                        "properties": {
                                          "category": {},
                                          "city": {
                                            "type": "string",
                                            "example": "Charlottesville"
                                          },
                                          "city_district": {},
                                          "country": {
                                            "type": "string",
                                            "example": "USA"
                                          },
                                          "country_region": {},
                                          "entrance": {},
                                          "house": {},
                                          "house_number": {},
                                          "island": {},
                                          "level": {},
                                          "near": {},
                                          "po_box": {},
                                          "postcode": {
                                            "type": "string",
                                            "example": "22905"
                                          },
                                          "road": {},
                                          "staircase": {},
                                          "state": {
                                            "type": "string",
                                            "example": "Virginia"
                                          },
                                          "state_district": {
                                            "type": "string",
                                            "example": "City of Charlottesville"
                                          },
                                          "suburb": {},
                                          "text": {
                                            "type": "string",
                                            "example": "22905, Charlottesville, VA, USA"
                                          },
                                          "unit": {},
                                          "world_region": {}
                                        }
                                      }
                                    }
                                  },
                                  "urls": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "type": {
                                          "type": "string",
                                          "example": "github"
                                        },
                                        "url": {
                                          "type": "string",
                                          "example": "https://github.com/Riminder"
                                        }
                                      }
                                    }
                                  },
                                  "picture": {},
                                  "gender": {
                                    "type": "string",
                                    "example": "male"
                                  },
                                  "summary": {
                                    "type": "string",
                                    "example": "Sorcerer Apprentice"
                                  }
                                }
                              },
                              "text_language": {
                                "type": "string",
                                "example": "en"
                              },
                              "text": {
                                "type": "string",
                                "example": "After two years of intense AI research and development at Ecole Normale Superieure and Ecole Centrale Paris, HrFlow.ai was founded in June 2016 to solve the labor market and employment challenges at scale using the latest innovations in AI.Having developed a proprietary AI and workflow technology from the ground up that unifies HR data silos, identifies the right candidates for the right jobs without bias, and automates it all, HrFlow.ai has already gained traction with over +1,000 clients, large and small.HrFlow.ai raised an initial seed round of 2.3M$ in 2018 from some of the most successful technology entrepreneurs in Europe and the United States, including Xavier Niel (Free Telecom & Station F), Dominique Vidal (Index Ventures), Romain Niccoli (Criteo & Pigment), Jean-Baptiste Rudelle (Criteo), Franck Le Ouay (Criteo & LIFEN), Thibaud Elzière (Fotolia & e-Founders), and has since self-funded its growth.We love AI engineering, problem-solving, and business. Join our diverse team and help us build the next chapter of our exciting growth!"
                              },
                              "experiences_duration": {
                                "type": "integer",
                                "example": 2,
                                "default": 0
                              },
                              "educations_duration": {
                                "type": "integer",
                                "example": 5,
                                "default": 0
                              },
                              "experiences": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "example": "7c83b85d1288c56fb8ea791ff5711b8e46c7701b"
                                    },
                                    "logo": {},
                                    "title": {
                                      "type": "string",
                                      "example": "Magic Investigator"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "Magic Investigator"
                                    },
                                    "location": {
                                      "type": "object",
                                      "properties": {
                                        "text": {
                                          "type": "string",
                                          "example": "112 avenue charles de gaulle 92200 neuilly-sur-seine"
                                        },
                                        "lat": {
                                          "type": "number",
                                          "example": 48.88265,
                                          "default": 0
                                        },
                                        "lng": {
                                          "type": "number",
                                          "example": 2.26821,
                                          "default": 0
                                        },
                                        "gmaps": {},
                                        "fields": {
                                          "type": "array"
                                        }
                                      }
                                    },
                                    "date_start": {
                                      "type": "string",
                                      "example": "2002-04-01T00:00:00.000Z"
                                    },
                                    "date_end": {
                                      "type": "string",
                                      "example": "2002-07-01T00:00:00.000Z"
                                    },
                                    "skills": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "marketing"
                                          },
                                          "type": {
                                            "type": "string",
                                            "example": "soft"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "90/100"
                                          }
                                        }
                                      }
                                    },
                                    "certifications": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "ISO 27001"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "Individual"
                                          }
                                        }
                                      }
                                    },
                                    "courses": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "Statistical Learning"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "On campus"
                                          }
                                        }
                                      }
                                    },
                                    "tasks": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "Manage a product team of 10 people"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "contorolling"
                                          }
                                        }
                                      }
                                    },
                                    "languages": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "english"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "fluent"
                                          }
                                        }
                                      }
                                    },
                                    "interests": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "football"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "amateur"
                                          }
                                        }
                                      }
                                    },
                                    "company": {
                                      "type": "string",
                                      "example": "Hogwarts School of Witchcraft and Wizardry"
                                    }
                                  }
                                }
                              },
                              "educations": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "example": "6f579139e78fe4a4f926f0c7cdde4e0a71e1044c"
                                    },
                                    "logo": {},
                                    "title": {
                                      "type": "string",
                                      "example": "Sorcerer Apprentice"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "First year of study"
                                    },
                                    "location": {
                                      "type": "object",
                                      "properties": {
                                        "text": {
                                          "type": "string",
                                          "example": "112 avenue charles de gaulle 92200 neuilly-sur-seine"
                                        },
                                        "lat": {
                                          "type": "number",
                                          "example": 48.88265,
                                          "default": 0
                                        },
                                        "lng": {
                                          "type": "number",
                                          "example": 2.26821,
                                          "default": 0
                                        },
                                        "gmaps": {},
                                        "fields": {
                                          "type": "array"
                                        }
                                      }
                                    },
                                    "date_start": {
                                      "type": "string",
                                      "example": "2001-12-01T00:00:00.000Z"
                                    },
                                    "date_end": {
                                      "type": "string",
                                      "example": "2002-12-01T00:00:00.000Z"
                                    },
                                    "skills": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "marketing"
                                          },
                                          "type": {
                                            "type": "string",
                                            "example": "soft"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "90/100"
                                          }
                                        }
                                      }
                                    },
                                    "certifications": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "ISO 27001"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "Individual"
                                          }
                                        }
                                      }
                                    },
                                    "courses": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "Statistical Learning"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "On campus"
                                          }
                                        }
                                      }
                                    },
                                    "tasks": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "Manage a product team of 10 people"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "contorolling"
                                          }
                                        }
                                      }
                                    },
                                    "languages": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "english"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "fluent"
                                          }
                                        }
                                      }
                                    },
                                    "interests": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "name": {
                                            "type": "string",
                                            "example": "football"
                                          },
                                          "value": {
                                            "type": "string",
                                            "example": "amateur"
                                          }
                                        }
                                      }
                                    },
                                    "school": {
                                      "type": "string",
                                      "example": "Hogwarts School of Witchcraft and Wizardry"
                                    }
                                  }
                                }
                              },
                              "attachments": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "example": "resume"
                                    },
                                    "alt": {
                                      "type": "string",
                                      "example": "6a2d9f3da9f3b3e332a101d69f4adc247a86799d"
                                    },
                                    "file_size": {
                                      "type": "integer",
                                      "example": 111111,
                                      "default": 0
                                    },
                                    "file_name": {
                                      "type": "string",
                                      "example": "resume"
                                    },
                                    "original_file_name": {
                                      "type": "string",
                                      "example": "resume.pdf"
                                    },
                                    "extension": {
                                      "type": "string",
                                      "example": ".pdf"
                                    },
                                    "public_url": {
                                      "type": "string",
                                      "example": "https://riminder-documents-eu-2019-12.s3-eu-west-1.amazonaws.com/teams/b679469ec195687b31de827a8495eaa15f803081/sources/4ca11a9636cf302c3c155debde96cff0398d9f19/profiles/c4413b9cae1c0c20c4a4d8070d386466aede3af5/parsing/resume.pdf"
                                    },
                                    "updated_at": {
                                      "type": "string",
                                      "example": "2023-11-06T14:41:11+0000"
                                    },
                                    "created_at": {
                                      "type": "string",
                                      "example": "2023-11-06T14:41:11+0000"
                                    }
                                  }
                                }
                              },
                              "skills": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "marketing"
                                    },
                                    "type": {
                                      "type": "string",
                                      "example": "soft"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "90/100"
                                    }
                                  }
                                }
                              },
                              "languages": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "english"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "fluent"
                                    }
                                  }
                                }
                              },
                              "certifications": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "ISO 27001"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "Individual"
                                    }
                                  }
                                }
                              },
                              "courses": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Statistical Learning"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "On campus"
                                    }
                                  }
                                }
                              },
                              "tasks": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Manage a product team of 10 people"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "contorolling"
                                    }
                                  }
                                }
                              },
                              "interests": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "football"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "amateur"
                                    }
                                  }
                                }
                              },
                              "labels": {
                                "type": "array"
                              },
                              "tags": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "active"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "1"
                                    }
                                  }
                                }
                              },
                              "metadatas": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "interview-note"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "Today, I met an amazing candidate..."
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Invalid keys format": {
                    "value": "{\n  \"code\": 400,\n  \"message\": \"Bad Request. Invalid source_keys format.\"\n}"
                  },
                  "Inexistent algorithm key": {
                    "value": "{\n  \"code\": 400,\n  \"message\": \"Invalid parameters. Unable to find object: agent\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Invalid keys format",
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 400,
                          "default": 0
                        },
                        "message": {
                          "type": "string",
                          "example": "Bad Request. Invalid source_keys format."
                        }
                      }
                    },
                    {
                      "title": "Inexistent algorithm key",
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 400,
                          "default": 0
                        },
                        "message": {
                          "type": "string",
                          "example": "Invalid parameters. Unable to find object: agent"
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```